請教:Variant or safe array is locked是什么錯誤?


在網上找到一個相關的連接, 不知道是否還有別的可能也能引起這個錯誤.

http://qc.borland.com/wc/qcmain.aspx?d=7846

5 个解决方案

#1


沒有遇到過,幫你Up,順帶Mark!

#2


這個錯誤應該是你的系統中存在不同版本的 midas.dll造成的,替換這些文件為Delphi7版本的 midas.dll,或者公用midas.dll這個文件就可以了

#3


學習...

#4


to fyje(雲中仙):
是有一個客戶那有這個問題. 我做過一個試驗, 在APPSERVER端用的是MIDAS 2005(VER 9.0), 在客戶端用MIDAS 7(VER 7.1), 奇怪的是居然沒問題. 我想用更低版本試試,可是還沒找到.

#5


是指客戶端機器上存在超過1個不同版本的Midas.dll文件,你用搜索的功能,把他們都找出來,全部換成delphi7的midas.dll就可以了,或者把這些midas.dll全部刪掉,只留一個在系統目錄也可以。最好不要用低版本的,低版本的才容易出現這種錯誤的

注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
粤ICP备14056181号  © 2014-2021 ITdaan.com